package cn.iocoder.yudao.module.asset.enums.replacement;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 替换车类型枚举
 *
 * @author 芋道源码
 */
@Getter
@AllArgsConstructor
public enum ReplacementTypeEnum {

    TEMPORARY(1, "临时替换"),
    PERMANENT(2, "永久替换");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 名称
     */
    private final String name;

    public static ReplacementTypeEnum valueOf(Integer type) {
        return Arrays.stream(values())
                .filter(item -> item.getType().equals(type))
                .findFirst()
                .orElse(null);
    }

}
